MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes
sc::LocalTBGrad< T > Class Template Reference
Inheritance diagram for sc::LocalTBGrad< T >:

List of all members.

## Public Member Functions

| LocalTBGrad (T &t, const Ref< TwoBodyDerivInt > &tbdi, const Ref< PetiteList > &pl, const Ref< GaussianBasisSet > &bs, const Ref< MessageGrp > &g, double *tbg, double pm, double a, int nt=1, int tn=0, double exchange_fraction=1.0)
void | run ()
| This is called with the Thread is run from a ThreadGrp.

## Public Attributes

double * | tbgrad

## Protected Attributes

MessageGrp * | grp_
TwoBodyDerivInt * | tbi_
GaussianBasisSet * | gbs_
PetiteList * | rpl_
Molecule * | mol_
double | pmax_
double | accuracy_
int | threadno_
int | nthread_

### template<class T>
class sc::LocalTBGrad< T >

The documentation for this class was generated from the following file:

- ltbgrad.h